# Storefront [![Designed for WooCommerce](http://img.shields.io/badge/Designed%20for-WooCommerce-a46497.svg)](http://woothemes.com/woocommerce/) [![Built with Grunt](https://cdn.gruntjs.com/builtwith.png)](http://gruntjs.com/) [![Build Status](https://scrutinizer-ci.com/g/woothemes/storefront/badges/build.png?b=master)](https://scrutinizer-ci.com/g/woothemes/storefront/build-status/master)

*Storefront* is a robust and flexible [WordPress](http://wordpress.org) theme, designed by WooCommerce creators [WooThemes](http://woothemes.com/) to help you make the most out of using [WooCommerce](http://woothemes.com/woocommerce/) to power your online store. It's available to download for free at the WordPress [theme repository](https://wordpress.org/themes/storefront/).

It features deep integration with WooCommerce core plus several of the most popular extensions:

* [WooCommerce Bookings](http://www.woothemes.com/products/woocommerce-bookings/)
* [WooCommerce Wishlists](http://www.woothemes.com/products/woocommerce-wishlists/)
* [WooCommerce Brands](http://www.woothemes.com/products/brands/)
* [WooCommerce Subscriptions](http://www.woothemes.com/products/woocommerce-subscriptions/)

For developers, Storefront is the perfect starting point for your project. It's lean and extensible codebase will allow you to easily add functionality to your site via child theme and/or custom plugin(s).

## Storefront extensions
Looking to take your storefront powered store to the next level? Be sure to checkout the premium [Storefront extensions](http://www.woothemes.com/product-category/plugins/storefront/).

## Storefront Documentation
You can view detailed Storefront documentation on the [WooThemes documentation web site](http://docs.woothemes.com/documentation/themes/storefront/).

## Storefront help & support
WooThemes customers can get support at the [WooThemes support portal](https://support.woothemes.com/). Otherwise you can try posting on the [WordPress support forums](https://wordpress.org/support/theme/storefront/). Please remember, github is for bug reports and contributions, _not_ support.

## Contributing to Storefront
If you have an idea or feature request please take a look at the [Storefront Ideasboard](http://ideas.woothemes.com/forums/275029-storefront) to see if it's already been suggested, planned, or is under development. If not, please add it there. Ideas with the most votes will be consdiered and planned / discussed on the public [Storefront Roadmap](https://trello.com/b/i2Yxx45p/storefront-roadmap).

Github is the place to discuss bugs, changes and enhancements to the Storefront codebase. Create an issue to discuss any code related queries and if you want to send a pull request, please do so to the master branch.

Remember to subscribe to our [theme development blog](http://develop.woothemes.com/themes/) for the latest info relating to the development of Storefront and our other themes.

Translated Storefront into another language? You rock! Please submit your translation to our project on [Transifex](https://www.transifex.com/projects/p/storefront-1/).